package main

import (
	"fmt"

	"pokus/geom"
)

func printShape(s geom.Shape) {
	fmt.Printf("Objekt %T:\t%+v\n", s, s)
	fmt.Printf("Obvod: %f\tObsah: %f\n", s.Perimeter(), s.Area())
}

func main() {
	r := geom.Rectangle{geom.Point{X: 2, Y: 3}, geom.Point{X: 5, Y: 5}}
	c := geom.Circle{geom.Point{5, 5}, 3}

	printShape(r)
	printShape(c)
}
